summaryrefslogtreecommitdiffstats
path: root/slackware64-current/source/l/hal/hal.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'slackware64-current/source/l/hal/hal.SlackBuild')
-rwxr-xr-xslackware64-current/source/l/hal/hal.SlackBuild166
1 files changed, 166 insertions, 0 deletions
diff --git a/slackware64-current/source/l/hal/hal.SlackBuild b/slackware64-current/source/l/hal/hal.SlackBuild
new file mode 100755
index 000000000..967136868
--- /dev/null
+++ b/slackware64-current/source/l/hal/hal.SlackBuild
@@ -0,0 +1,166 @@
+#!/bin/sh
+
+# Copyright 2007 Ole Andre Rodlie <olear@slackforge.net>
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=hal
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Restore the DontZap defaults from lore
+zcat $CWD/patches/10-keymap.fdi-restore_zap.diff.gz | patch -p1 --verbose || exit 1
+
+# Oops, a freebsd-specific commit wasn't :-)
+zcat $CWD/patches/fix_libusb_detection.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix a segfault -- http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=562068
+zcat $CWD/patches/fix_segfault_in_LIBHAL_FREE_DBUS_ERROR.diff.gz | patch -p1 --verbose || exit 1
+
+# Increase PATH_HAL_MAX to 4096 to avoid crashes
+# https://bugs.freedesktop.org/show_bug.cgi?id=25888
+zcat $CWD/patches/increase_HAL_PATH_MAX_to_4096.diff.gz | patch -p1 --verbose || exit 1
+
+# Handle input.touchpad explicitly (needed due to kernel changes)
+zcat $CWD/patches/handle_input.touchpad_explicitly.diff.gz | patch -p1 --verbose || exit 1
+
+# Fix incorrect arguments to ioperm()
+zcat $CWD/patches/fix_ioperm_arguments.patch.gz | patch -p1 --verbose || exit 1
+
+# Fix segfaults from not calling dbus_error_init() early enough
+zcat $CWD/patches/fix_segfault-dbus_error_init.patch.gz | patch -p1 --verbose || exit 1
+
+autoconf
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-udev-prefix=/lib \
+ --disable-static \
+ --enable-docbook-docs \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --with-pid-file=/var/run/hald/pid \
+ --enable-parted \
+ --disable-policy-kit \
+ --disable-console-kit \
+ --disable-acl-management \
+ --enable-umount-helper \
+ --enable-sonypic \
+ --build=$ARCH-slackware-linux \
+ || exit 1
+# These were merged into the 2.6.22 kernels
+# --enable-acpi-ibm --enable-acpi-toshiba
+# Use these instead of the corresponding --disable lines for PolicyKit support
+# --enable-policy-kit \
+# --enable-console-kit \
+# --enable-acl-management \
+
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+# Install init script for hal
+mkdir -p $PKG/etc/rc.d
+zcat $CWD/rc.hald.gz > $PKG/etc/rc.d/rc.hald.new
+# Make HAL run by default:
+chmod 0755 $PKG/etc/rc.d/rc.hald.new
+
+# /* remove everything between the C-style comments if using PK
+# Make the HAL access controls suitable for us
+# Big thanks to Richard Hughes for feedback on this :-)
+# First, move the one installed by the system to the docs directory
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+mv $PKG/etc/dbus-1/system.d/hal.conf \
+ $PKG/usr/doc/$PKGNAM-$VERSION/hal.conf.orig
+# end removal */
+# Don't clobber an existing config file in case custom changes have been made
+zcat $CWD/hal.conf.gz > $PKG/etc/dbus-1/system.d/hal.conf.new
+
+# Install docs (directory was created above)
+cp -a \
+ AUTHORS COPYING* HACKING INSTALL NEWS README* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+( cd $PKG/usr/doc/$PKGNAM-$VERSION
+ ln -s ../../share/gtk-doc/html/libhal libhal
+ ln -s ../../share/gtk-doc/html/libhal-storage libhal-storage
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+